Update Resident Pet: Yardi
https://api.propexo.com/v1/resident-pets/yardi/:pet_idUpdate a resident pet in Yardi. All current pet fields are sent on update because Yardi deletes the pet if every field in the update is empty. Requires Common Data Plug-in 14+.
| Interface | Method |
|---|---|
| Common Data | UpdateResidentData |
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The Propexo unique identifier for the resident pet
Request
This endpoint expects an object.
The type associated with the resident pet
Possible values: <= 40 characters
The age in years of the resident pet
Possible values: >= 0
The breed of the resident pet
Possible values: <= 1000 characters
The color of the resident pet
Possible values: <= 40 characters
The raw value for the gender of the resident pet
Possible values: <= 40 characters
Whether the resident pet is fixed
Whether the resident pet is a service animal. This field requires your customer uses Plug-in 17+ in Yardi Voyager.
The name associated with the resident pet
Possible values: <= 40 characters
The weight in pounds of the resident pet
Possible values: >= 0
Response
Successful response
meta objectrequired
result objectrequired
The Propexo unique identifier for the resident pet
The type associated with the resident pet
Possible values: <= 40 characters
The age in years of the resident pet
Possible values: >= 0
The breed of the resident pet
Possible values: <= 1000 characters
The color of the resident pet
Possible values: <= 40 characters
The raw value for the gender of the resident pet
Possible values: <= 40 characters
Whether the resident pet is fixed
Whether the resident pet is a service animal. This field requires your customer uses Plug-in 17+ in Yardi Voyager.
The name associated with the resident pet
Possible values: <= 40 characters
The weight in pounds of the resident pet
Possible values: >= 0
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/v1/resident-pets/yardi/:pet_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"type": "string",
"age_in_years": 0,
"breed": "string",
"color": "string",
"gender_raw": "string",
"is_fixed": true,
"is_service_animal": true,
"name": "string",
"weight_in_pounds": 0
}'
{
"meta": {
"job_id": "string"
},
"result": {
"pet_id": "string",
"type": "string",
"age_in_years": 0,
"breed": "string",
"color": "string",
"gender_raw": "string",
"is_fixed": true,
"is_service_animal": true,
"name": "string",
"weight_in_pounds": 0
}
}